From 7e64a1cef18d010c65ae073ae9564ced22f19035 Mon Sep 17 00:00:00 2001
From: Akihiro Motoki <amotoki@gmail.com>
Date: Sat, 17 Sep 2016 19:54:27 +0900
Subject: [PATCH] Drop LBaaS v1 dashboard

LBaaS v1 feature was removed from neutron-lbaas in Newton.
There is no reason we have LBaaS v1 dashboard in Ocata or later.

Change-Id: Ic7d4ceea1943c3721500ce4b7f769b9dba28a359
Closes-Bug: #1624655
---
 doc/source/topics/settings.rst                     |   19 -
 openstack_dashboard/api/__init__.py                |    2 -
 openstack_dashboard/api/lbaas.py                   |  394 --------
 openstack_dashboard/api/neutron.py                 |   10 +-
 .../dashboards/project/loadbalancers/__init__.py   |    0
 .../dashboards/project/loadbalancers/forms.py      |  281 ------
 .../dashboards/project/loadbalancers/panel.py      |   50 -
 .../dashboards/project/loadbalancers/tables.py     |  566 -----------
 .../dashboards/project/loadbalancers/tabs.py       |  151 ---
 .../templates/loadbalancers/_create_pool_help.html |   27 -
 .../templates/loadbalancers/_create_vip_help.html  |   16 -
 .../templates/loadbalancers/_member_details.html   |   30 -
 .../templates/loadbalancers/_members_tab.html      |    5 -
 .../templates/loadbalancers/_monitor_details.html  |   51 -
 .../templates/loadbalancers/_monitors_tab.html     |    5 -
 .../templates/loadbalancers/_pool_details.html     |   74 --
 .../loadbalancers/_pool_table_subnet_cell.html     |    8 -
 .../loadbalancers/_pool_table_vip_cell.html        |    9 -
 .../templates/loadbalancers/_pools_tab.html        |    5 -
 .../templates/loadbalancers/_updatemember.html     |    7 -
 .../templates/loadbalancers/_updatemonitor.html    |    7 -
 .../templates/loadbalancers/_updatepool.html       |    7 -
 .../templates/loadbalancers/_updatevip.html        |    7 -
 .../templates/loadbalancers/_vip_details.html      |   67 --
 .../templates/loadbalancers/details_tabs.html      |   11 -
 .../templates/loadbalancers/updatemember.html      |    7 -
 .../templates/loadbalancers/updatemonitor.html     |    7 -
 .../templates/loadbalancers/updatepool.html        |    7 -
 .../templates/loadbalancers/updatevip.html         |    7 -
 .../dashboards/project/loadbalancers/tests.py      | 1053 --------------------
 .../dashboards/project/loadbalancers/urls.py       |   50 -
 .../dashboards/project/loadbalancers/utils.py      |   31 -
 .../dashboards/project/loadbalancers/views.py      |  422 --------
 .../dashboards/project/loadbalancers/workflows.py  |  745 --------------
 .../dashboards/project/stacks/mappings.py          |    6 -
 .../enabled/_1450_project_loadbalancers_panel.py   |   10 -
 openstack_dashboard/test/api_tests/lbaas_tests.py  |  379 -------
 .../test/api_tests/network_tests.py                |    4 -
 openstack_dashboard/test/settings.py               |    3 +-
 openstack_dashboard/test/test_data/neutron_data.py |  210 ----
 .../drop-LBaaS-v1-dashboard-d767b0bde5274af5.yaml  |    9 +
 41 files changed, 11 insertions(+), 4748 deletions(-)
 delete mode 100644 openstack_dashboard/api/lbaas.py
 delete mode 100644 openstack_dashboard/dashboards/project/loadbalancers/__init__.py
 delete mode 100644 openstack_dashboard/dashboards/project/loadbalancers/forms.py
 delete mode 100644 openstack_dashboard/dashboards/project/loadbalancers/panel.py
 delete mode 100644 openstack_dashboard/dashboards/project/loadbalancers/tables.py
 delete mode 100644 openstack_dashboard/dashboards/project/loadbalancers/tabs.py
 delete mode 100644 openstack_dashboard/dashboards/project/loadbalancers/templates/loadbalancers/_create_pool_help.html
 delete mode 100644 openstack_dashboard/dashboards/project/loadbalancers/templates/loadbalancers/_create_vip_help.html
 delete mode 100644 openstack_dashboard/dashboards/project/loadbalancers/templates/loadbalancers/_member_details.html
 delete mode 100644 openstack_dashboard/dashboards/project/loadbalancers/templates/loadbalancers/_members_tab.html
 delete mode 100644 openstack_dashboard/dashboards/project/loadbalancers/templates/loadbalancers/_monitor_details.html
 delete mode 100644 openstack_dashboard/dashboards/project/loadbalancers/templates/loadbalancers/_monitors_tab.html
 delete mode 100644 openstack_dashboard/dashboards/project/loadbalancers/templates/loadbalancers/_pool_details.html
 delete mode 100644 openstack_dashboard/dashboards/project/loadbalancers/templates/loadbalancers/_pool_table_subnet_cell.html
 delete mode 100644 openstack_dashboard/dashboards/project/loadbalancers/templates/loadbalancers/_pool_table_vip_cell.html
 delete mode 100644 openstack_dashboard/dashboards/project/loadbalancers/templates/loadbalancers/_pools_tab.html
 delete mode 100644 openstack_dashboard/dashboards/project/loadbalancers/templates/loadbalancers/_updatemember.html
 delete mode 100644 openstack_dashboard/dashboards/project/loadbalancers/templates/loadbalancers/_updatemonitor.html
 delete mode 100644 openstack_dashboard/dashboards/project/loadbalancers/templates/loadbalancers/_updatepool.html
 delete mode 100644 openstack_dashboard/dashboards/project/loadbalancers/templates/loadbalancers/_updatevip.html
 delete mode 100644 openstack_dashboard/dashboards/project/loadbalancers/templates/loadbalancers/_vip_details.html
 delete mode 100644 openstack_dashboard/dashboards/project/loadbalancers/templates/loadbalancers/details_tabs.html
 delete mode 100644 openstack_dashboard/dashboards/project/loadbalancers/templates/loadbalancers/updatemember.html
 delete mode 100644 openstack_dashboard/dashboards/project/loadbalancers/templates/loadbalancers/updatemonitor.html
 delete mode 100644 openstack_dashboard/dashboards/project/loadbalancers/templates/loadbalancers/updatepool.html
 delete mode 100644 openstack_dashboard/dashboards/project/loadbalancers/templates/loadbalancers/updatevip.html
 delete mode 100644 openstack_dashboard/dashboards/project/loadbalancers/tests.py
 delete mode 100644 openstack_dashboard/dashboards/project/loadbalancers/urls.py
 delete mode 100644 openstack_dashboard/dashboards/project/loadbalancers/utils.py
 delete mode 100644 openstack_dashboard/dashboards/project/loadbalancers/views.py
 delete mode 100644 openstack_dashboard/dashboards/project/loadbalancers/workflows.py
 delete mode 100644 openstack_dashboard/enabled/_1450_project_loadbalancers_panel.py
 delete mode 100644 openstack_dashboard/test/api_tests/lbaas_tests.py
 create mode 100644 releasenotes/notes/drop-LBaaS-v1-dashboard-d767b0bde5274af5.yaml

Index: horizon-10.0.6.dev4/openstack_dashboard/api/__init__.py
===================================================================
--- horizon-10.0.6.dev4.orig/openstack_dashboard/api/__init__.py
+++ horizon-10.0.6.dev4/openstack_dashboard/api/__init__.py
@@ -38,7 +38,6 @@ from openstack_dashboard.api import fwaa
 from openstack_dashboard.api import glance
 from openstack_dashboard.api import heat
 from openstack_dashboard.api import keystone
-from openstack_dashboard.api import lbaas
 from openstack_dashboard.api import network
 from openstack_dashboard.api import neutron
 from openstack_dashboard.api import nova
@@ -53,7 +52,6 @@ __all__ = [
     "glance",
     "heat",
     "keystone",
-    "lbaas",
     "network",
     "neutron",
     "nova",
Index: horizon-10.0.6.dev4/openstack_dashboard/api/neutron.py
===================================================================
--- horizon-10.0.6.dev4.orig/openstack_dashboard/api/neutron.py
+++ horizon-10.0.6.dev4/openstack_dashboard/api/neutron.py
@@ -471,14 +471,6 @@ class FloatingIpManager(network_base.Flo
         server_dict = collections.OrderedDict(
             [(s.id, s.name) for s in servers])
         reachable_subnets = self._get_reachable_subnets(ports)
-        if is_service_enabled(self.request,
-                              config_name='enable_lb',
-                              ext_name='lbaas'):
-            # Also get the loadbalancer VIPs
-            vip_dict = {v['port_id']: v['name']
-                        for v in self.client.list_vips().get('vips', [])}
-        else:
-            vip_dict = {}
 
         targets = []
         for p in ports:
@@ -486,7 +478,7 @@ class FloatingIpManager(network_base.Flo
             if p.device_owner.startswith('network:'):
                 continue
             port_id = p.id
-            server_name = server_dict.get(p.device_id) or vip_dict.get(port_id)
+            server_name = server_dict.get(p.device_id)
 
             for ip in p.fixed_ips:
                 if ip['subnet_id'] not in reachable_subnets:
Index: horizon-10.0.6.dev4/openstack_dashboard/dashboards/project/stacks/mappings.py
===================================================================
--- horizon-10.0.6.dev4.orig/openstack_dashboard/dashboards/project/stacks/mappings.py
+++ horizon-10.0.6.dev4/openstack_dashboard/dashboards/project/stacks/mappings.py
@@ -83,8 +83,6 @@ resource_urls = {
         'link': 'horizon:project:stacks:detail'},
     "OS::Heat::WaitConditionHandle": {
         'link': 'horizon:project:stacks:detail'},
-    "OS::Neutron::HealthMonitor": {
-        'link': 'horizon:project:loadbalancers:monitordetails'},
     "OS::Neutron::IKEPolicy": {
         'link': 'horizon:project:vpn:ikepolicydetails'},
     "OS::Neutron::IPsecPolicy": {
@@ -93,10 +91,6 @@ resource_urls = {
         'link': 'horizon:project:vpn:ipsecsiteconnectiondetails'},
     "OS::Neutron::Net": {
         'link': 'horizon:project:networks:detail'},
-    "OS::Neutron::Pool": {
-        'link': 'horizon:project:loadbalancers:pooldetails'},
-    "OS::Neutron::PoolMember": {
-        'link': 'horizon:project:loadbalancers:memberdetails'},
     "OS::Neutron::Port": {
         'link': 'horizon:project:networks:ports:detail'},
     "OS::Neutron::Router": {
Index: horizon-10.0.6.dev4/openstack_dashboard/test/api_tests/network_tests.py
===================================================================
--- horizon-10.0.6.dev4.orig/openstack_dashboard/test/api_tests/network_tests.py
+++ horizon-10.0.6.dev4/openstack_dashboard/test/api_tests/network_tests.py
@@ -737,7 +737,6 @@ class NetworkApiNeutronFloatingIpTests(N
 
     @override_settings(
         OPENSTACK_NEUTRON_NETWORK={
-            'enable_lb': True,
             'enable_fip_topology_check': True,
         }
     )
@@ -758,8 +757,6 @@ class NetworkApiNeutronFloatingIpTests(N
         filters = {'tenant_id': self.request.user.tenant_id}
         # api.neutron.is_extension_supported(self.request, 'security-group'). \
         #     AndReturn(True)
-        # api.neutron.is_extension_supported(self.request, 'lbaas'). \
-        #     AndReturn(True)
         self.qclient.list_ports(**filters).AndReturn({'ports': ports})
         servers = self.servers.list()
         novaclient = self.stub_novaclient()
@@ -779,7 +776,6 @@ class NetworkApiNeutronFloatingIpTests(N
         shared_subs = [s for s in self.api_subnets.list()
                        if s['id'] in shared_subnet_ids]
         self.qclient.list_subnets().AndReturn({'subnets': shared_subs})
-        self.qclient.list_vips().AndReturn({'vips': self.vips.list()})
 
         self.mox.ReplayAll()
 
Index: horizon-10.0.6.dev4/openstack_dashboard/test/settings.py
===================================================================
--- horizon-10.0.6.dev4.orig/openstack_dashboard/test/settings.py
+++ horizon-10.0.6.dev4/openstack_dashboard/test/settings.py
@@ -163,13 +163,12 @@ OPENSTACK_CINDER_FEATURES = {
 OPENSTACK_NEUTRON_NETWORK = {
     'enable_router': True,
     'enable_quotas': False,  # Enabled in specific tests only
-    # Parameters below (enable_lb, enable_firewall, enable_vpn)
+    # Parameters below (enable_firewall, enable_vpn)
     # control if these panels are displayed or not,
     # i.e. they only affect the navigation menu.
     # These panels are registered even if enable_XXX is False,
     # so we don't need to set them to True in most unit tests
     # to avoid stubbing neutron extension check calls.
-    'enable_lb': False,
     'enable_firewall': False,
     'enable_vpn': False,
     'profile_support': None,
Index: horizon-10.0.6.dev4/openstack_dashboard/test/test_data/neutron_data.py
===================================================================
--- horizon-10.0.6.dev4.orig/openstack_dashboard/test/test_data/neutron_data.py
+++ horizon-10.0.6.dev4/openstack_dashboard/test/test_data/neutron_data.py
@@ -17,7 +17,6 @@ import uuid
 
 from openstack_dashboard.api import base
 from openstack_dashboard.api import fwaas
-from openstack_dashboard.api import lbaas
 from openstack_dashboard.api import neutron
 from openstack_dashboard.api import vpn
 from openstack_dashboard.test.test_data import utils
@@ -583,211 +582,6 @@ def data(TEST):
     subnetpool = neutron.SubnetPool(subnetpool_dict)
     TEST.subnetpools.add(subnetpool)
 
-    # LBaaS.
-
-    # 1st pool.
-    pool_dict = {'id': '8913dde8-4915-4b90-8d3e-b95eeedb0d49',
-                 'tenant_id': '1',
-                 'vip_id': 'abcdef-c3eb-4fee-9763-12de3338041e',
-                 'name': 'pool1',
-                 'description': 'pool description',
-                 'subnet_id': TEST.subnets.first().id,
-                 'protocol': 'HTTP',
-                 'lb_method': 'ROUND_ROBIN',
-                 'health_monitors': TEST.monitors.list(),
-                 'members': ['78a46e5e-eb1a-418a-88c7-0e3f5968b08'],
-                 'admin_state_up': True,
-                 'status': 'ACTIVE',
-                 'provider': 'haproxy'}
-    TEST.api_pools.add(pool_dict)
-    TEST.pools.add(lbaas.Pool(pool_dict))
-
-    # 2nd pool.
-    pool_dict = {'id': '8913dde8-4915-4b90-8d3e-b95eeedb0d50',
-                 'tenant_id': '1',
-                 'vip_id': 'f0881d38-c3eb-4fee-9763-12de3338041d',
-                 'name': 'pool2',
-                 'description': 'pool description',
-                 'subnet_id': TEST.subnets.first().id,
-                 'protocol': 'HTTPS',
-                 'lb_method': 'ROUND_ROBIN',
-                 'health_monitors': TEST.monitors.list()[0:1],
-                 'members': [],
-                 'status': 'PENDING_CREATE',
-                 'admin_state_up': True}
-    TEST.api_pools.add(pool_dict)
-    TEST.pools.add(lbaas.Pool(pool_dict))
-
-    # 1st vip.
-    vip_dict = {'id': 'abcdef-c3eb-4fee-9763-12de3338041e',
-                'name': 'vip1',
-                'address': '10.0.0.100',
-                'description': 'vip description',
-                'subnet_id': TEST.subnets.first().id,
-                'port_id': TEST.ports.first().id,
-                'subnet': TEST.subnets.first().cidr,
-                'protocol_port': 80,
-                'protocol': pool_dict['protocol'],
-                'pool_id': pool_dict['id'],
-                'session_persistence': {'type': 'APP_COOKIE',
-                                        'cookie_name': 'jssessionid'},
-                'connection_limit': 10,
-                'admin_state_up': True}
-    TEST.api_vips.add(vip_dict)
-    TEST.vips.add(lbaas.Vip(vip_dict))
-    setattr(TEST.pools.first(), 'vip', TEST.vips.first())
-
-    # 2nd vip.
-    vip_dict = {'id': 'f0881d38-c3eb-4fee-9763-12de3338041d',
-                'name': 'vip2',
-                'address': '10.0.0.110',
-                'description': 'vip description',
-                'subnet_id': TEST.subnets.first().id,
-                'port_id': TEST.ports.list()[0].id,
-                'subnet': TEST.subnets.first().cidr,
-                'protocol_port': 80,
-                'protocol': pool_dict['protocol'],
-                'pool_id': pool_dict['id'],
-                'session_persistence': {'type': 'APP_COOKIE',
-                                        'cookie_name': 'jssessionid'},
-                'connection_limit': 10,
-                'admin_state_up': True}
-    TEST.api_vips.add(vip_dict)
-    TEST.vips.add(lbaas.Vip(vip_dict))
-
-    # 1st member.
-    member_dict = {'id': '78a46e5e-eb1a-418a-88c7-0e3f5968b08',
-                   'tenant_id': '1',
-                   'pool_id': pool_dict['id'],
-                   'address': '10.0.0.11',
-                   'protocol_port': 80,
-                   'weight': 10,
-                   'status': 'ACTIVE',
-                   'admin_state_up': True}
-    TEST.api_members.add(member_dict)
-    TEST.members.add(lbaas.Member(member_dict))
-
-    # 2nd member.
-    member_dict = {'id': '41ac1f8d-6d9c-49a4-a1bf-41955e651f91',
-                   'tenant_id': '1',
-                   'pool_id': pool_dict['id'],
-                   'address': '10.0.0.12',
-                   'protocol_port': 80,
-                   'weight': 10,
-                   'status': 'ACTIVE',
-                   'admin_state_up': True}
-    TEST.api_members.add(member_dict)
-    TEST.members.add(lbaas.Member(member_dict))
-
-    # 1st v6 pool.
-    pool_dict = {'id': 'c2983d70-8ac7-11e4-b116-123b93f75cba',
-                 'tenant_id': '1',
-                 'vip_id': 'b6598a5e-8ab4-11e4-b116-123b93f75cba',
-                 'name': 'v6_pool1',
-                 'description': 'pool description',
-                 'subnet_id': TEST.subnets.get(name='v6_subnet1').id,
-                 'protocol': 'HTTP',
-                 'lb_method': 'ROUND_ROBIN',
-                 'health_monitors': TEST.monitors.list(),
-                 'members': ['78a46e5e-eb1a-418a-88c7-0e3f5968b08'],
-                 'admin_state_up': True,
-                 'status': 'ACTIVE',
-                 'provider': 'haproxy'}
-    TEST.api_pools.add(pool_dict)
-    TEST.pools.add(lbaas.Pool(pool_dict))
-
-    # 1st v6 vip.
-    vip_dict = {'id': 'b6598a5e-8ab4-11e4-b116-123b93f75cba',
-                'name': 'v6_vip1',
-                'address': 'ff09::03',
-                'description': 'vip description',
-                'subnet_id': TEST.subnets.get(name="v6_subnet1").id,
-                'port_id': TEST.ports.first().id,
-                'subnet': TEST.subnets.get(name="v6_subnet1").cidr,
-                'protocol_port': 80,
-                'protocol': pool_dict['protocol'],
-                'pool_id': pool_dict['id'],
-                'session_persistence': {'type': 'APP_COOKIE',
-                                        'cookie_name': 'jssessionid'},
-                'connection_limit': 10,
-                'admin_state_up': True}
-    TEST.api_vips.add(vip_dict)
-    TEST.vips.add(lbaas.Vip(vip_dict))
-
-    # 2nd v6 vip.
-    vip_dict = {'id': 'b6598cc0-8ab4-11e4-b116-123b93f75cba',
-                'name': 'ff09::04',
-                'address': '10.0.0.110',
-                'description': 'vip description',
-                'subnet_id': TEST.subnets.get(name="v6_subnet2").id,
-                'port_id': TEST.ports.list()[0].id,
-                'subnet': TEST.subnets.get(name="v6_subnet2").cidr,
-                'protocol_port': 80,
-                'protocol': pool_dict['protocol'],
-                'pool_id': pool_dict['id'],
-                'session_persistence': {'type': 'APP_COOKIE',
-                                        'cookie_name': 'jssessionid'},
-                'connection_limit': 10,
-                'admin_state_up': True}
-    TEST.api_vips.add(vip_dict)
-    TEST.vips.add(lbaas.Vip(vip_dict))
-
-    # 1st v6 monitor.
-    monitor_dict = {'id': '0dc936f8-8aca-11e4-b116-123b93f75cba',
-                    'type': 'http',
-                    'delay': 10,
-                    'timeout': 10,
-                    'max_retries': 10,
-                    'http_method': 'GET',
-                    'url_path': '/',
-                    'expected_codes': '200',
-                    'admin_state_up': True,
-                    "pools": [{"pool_id": TEST.pools.get(name='v6_pool1').id}],
-                    }
-    TEST.api_monitors.add(monitor_dict)
-    TEST.monitors.add(lbaas.PoolMonitor(monitor_dict))
-
-    # v6 member.
-    member_dict = {'id': '6bc03d1e-8ad0-11e4-b116-123b93f75cba',
-                   'tenant_id': '1',
-                   'pool_id': TEST.pools.get(name='v6_pool1').id,
-                   'address': 'ff09::03',
-                   'protocol_port': 80,
-                   'weight': 10,
-                   'status': 'ACTIVE',
-                   'member_type': 'server_list',
-                   'admin_state_up': True}
-    TEST.api_members.add(member_dict)
-    TEST.members.add(lbaas.Member(member_dict))
-
-    # 1st monitor.
-    monitor_dict = {'id': 'd4a0500f-db2b-4cc4-afcf-ec026febff96',
-                    'type': 'http',
-                    'delay': 10,
-                    'timeout': 10,
-                    'max_retries': 10,
-                    'http_method': 'GET',
-                    'url_path': '/',
-                    'expected_codes': '200',
-                    'admin_state_up': True,
-                    "pools": [{"pool_id": TEST.pools.list()[0].id},
-                              {"pool_id": TEST.pools.list()[1].id}],
-                    }
-    TEST.api_monitors.add(monitor_dict)
-    TEST.monitors.add(lbaas.PoolMonitor(monitor_dict))
-
-    # 2nd monitor.
-    monitor_dict = {'id': 'd4a0500f-db2b-4cc4-afcf-ec026febff97',
-                    'type': 'ping',
-                    'delay': 10,
-                    'timeout': 10,
-                    'max_retries': 10,
-                    'admin_state_up': True,
-                    'pools': [],
-                    }
-    TEST.api_monitors.add(monitor_dict)
-    TEST.monitors.add(lbaas.PoolMonitor(monitor_dict))
-
     # Quotas.
     quota_data = {'network': '10',
                   'subnet': '10',
@@ -828,15 +622,11 @@ def data(TEST):
     extension_5 = {"name": "HA Router extension",
                    "alias": "l3-ha",
                    "description": "Add HA capability to routers."}
-    extension_6 = {"name": "LoadBalancing service",
-                   "alias": "lbaas",
-                   "description": "Extension for LoadBalancing service"}
     TEST.api_extensions.add(extension_1)
     TEST.api_extensions.add(extension_2)
     TEST.api_extensions.add(extension_3)
     TEST.api_extensions.add(extension_4)
     TEST.api_extensions.add(extension_5)
-    TEST.api_extensions.add(extension_6)
 
     # 1st agent.
     agent_dict = {"binary": "neutron-openvswitch-agent",
